package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.bo.RichObject;
import com.dayou.dto.SectionTitleDTO;
import com.dayou.entity.ReportMain;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ReportMainVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报告主表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-08-29
 */
public interface ReportMainMapper extends CustomBaseMapper<ReportMain> {

    Page<ReportMainVO> getPage(Page page, @Param("report") ReportMainVO reportMain);

    List<SectionTitleDTO> getReportMainSection(@Param("reportId") Long reportId);

    ReportMainVO getReportMainVO(@Param("id") Long id);

    RichObject getFtlConfig(@Param("type") String type);
}
